
Core - Task # 53404

Task # 52304 (Resolved): Performance issues

Status: Resolved Priority: Should have
Author: Alexander Opitz Category:
Created: 2013-11-07 Assigned To: Alexander Opitz
Updated: 2013-11-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Page cache saves the hash_base
Description

The hash_base (the array from which the cache hash is calculated) is saved into the cache. But this isn't required IMHO, it will be read
on every cached request but doesn't get processed somewhere (as I read the source).
So if we remove it, it won't get saved and loaded, which reduces bandwidth to the SQL server and reduces the string which needs to
be un-/serialized.

Related issues:
duplicated by Core - Task # 29340: Check usage of hash_base. Resolved 2011-08-30

Associated revisions
Revision c048755e - 2013-11-15 17:05 - Alexander Opitz

[TASK] Remove hash_base from page cache data

The hash_base (the array from which the cache hash is calculated) is
saved into the cache. But this information isn't required. Also it isn't
processed after read from cache. So this data gets removed to save
bandwidth and to reduce the string to be unserialized.

Resolves: #53404
Releases: 6.2
Change-Id: I76411a9d89e483fed1b29573359b001fa921b244
Reviewed-on: https://review.typo3.org/25191
Reviewed-by: Mathias Schreiber
Tested-by: Mathias Schreiber
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-11-07 10:45 - Alexander Opitz

Benchmarked with "ab -n 1000 -c 100 host/" to a cached empty start page with PHP 5.5.3-1ubuntu2 with Zend OPcache v7.0.3-dev

Without patch:

Concurrency Level:      100
Time taken for tests:   4.702 seconds
Complete requests:      1000
Failed requests:        0
Write errors:           0
Total transferred:      2875000 bytes
HTML transferred:       2399000 bytes
Requests per second:    212.69 [#/sec] (mean)
Time per request:       470.165 [ms] (mean)
Time per request:       4.702 [ms] (mean, across all concurrent requests)
Transfer rate:          597.16 [Kbytes/sec] received

With patch

Concurrency Level:      100
Time taken for tests:   4.212 seconds
Complete requests:      1000
Failed requests:        0
Write errors:           0
Total transferred:      2875000 bytes
HTML transferred:       2399000 bytes
Requests per second:    237.42 [#/sec] (mean)
Time per request:       421.192 [ms] (mean)
Time per request:       4.212 [ms] (mean, across all concurrent requests)
Transfer rate:          666.59 [Kbytes/sec] received

#2 - 2013-11-07 10:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#3 - 2013-11-07 17:15 - Alexander Opitz
- Assigned To set to Alexander Opitz

#4 - 2013-11-08 14:27 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#5 - 2013-11-08 15:46 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#6 - 2013-11-08 15:57 - Gerrit Code Review
Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#7 - 2013-11-08 16:18 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#8 - 2013-11-08 16:28 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#9 - 2013-11-08 16:37 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#10 - 2013-11-12 17:44 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#11 - 2013-11-15 16:58 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25191

#12 - 2013-11-15 17:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c048755e7229f10f5393f874ef24a18fef2b4e10.
